import request from '@/utils/request'

// 判断登陆角色
export function judgeRole() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_根据人角色编号',
      param: '编号=' + arguments[0]
    }
  })
}
// 初始化MU
export function initMU() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_部门查询',
      param: '人员编号=' + arguments[0] + '&部门代码=' + '0'
    }
  })
}
// 查询生产奖金
export function searchBonus() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_蓝领奖金基数查询',
      param: '月份=' + arguments[0] + '&MU_Department=' + arguments[1]
    }
  })
}
// 除MU外部门查询Segment
export function selectSegment() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_部门查询',
      param: '人员编号=' + arguments[0] + '&部门代码=' + arguments[1]
    }
  })
}
// MU查询Segment
export function selectSegmentForMU() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_Segment',
      param: '人员编号=' + arguments[0] + '&部门代码=' + arguments[1]
    }
  })
}
// 除Segment外部门查询PV
export function selectPV() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_部门查询',
      param: '人员编号=' + arguments[0] + '&部门代码=' + arguments[1]
    }
  })
}
// Segment查询PV
export function selectPVForSegment() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_PV',
      param: '人员编号=' + arguments[0] + '&部门代码=' + arguments[1]
    }
  })
}
// 执行保存
export function handleSave() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '奖金绩效系统_蓝领奖金基数修改_MU',
      param: 'id=' + arguments[0] + '&奖金基数=' + arguments[1]
    }
  })
}
// 确认审核
export function ConfirmSubmit() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '奖金绩效系统_蓝领奖金基数确认审核_MU',
      param: '月份=' + arguments[0] + '&MU_Department=' + arguments[1]
    }
  })
}
// 是否确认审核
export function isCanConfirmSubmit() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_蓝领奖金基数确认审核_是否可以审核',
      param: '月份=' + arguments[0] + '&MU_Department=' + arguments[1]
    }
  })
}
// 查询冻结权限
export function initrole() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '输入权限判断'
    }
  })
}
